Sazabi
APIDashboards

Delete a dashboard

Delete a dashboard if expectedRevision is still its current revision. Deleting an already-deleted dashboard succeeds again.

DELETE https://api.sazabi.com/v1/dashboards/{id}

DELETE
/dashboards/{id}

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X DELETE "https://example.com/dashboards/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "expectedRevision": -9007199254740991  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "revision": -9007199254740991,  "deletedAt": "2019-08-24T14:15:22Z"}